name: Wordlist Updater - directories

on:
  push:
    paths:
    - 'Discovery/Web-Content/raft-small-directories.txt'
    - 'Discovery/Web-Content/raft-small-directories-lowercase.txt'
    - 'Discovery/Web-Content/directory-list-2.3-small.txt'
    - 'Discovery/Web-Content/raft-medium-directories-lowercase.txt'
    - 'Discovery/Web-Content/raft-medium-directories.txt'
    - 'Discovery/Web-Content/directory-list-2.3-medium.txt'
    - 'Discovery/Web-Content/apache.txt '
    - 'Discovery/Web-Content/directory-list-2.3-big.txt'
    - 'Discovery/Web-Content/raft-large-directories-lowercase.txt'
    - 'Discovery/Web-Content/raft-large-directories.txt '
    - 'Discovery/Web-Content/directory-list-1.0.txt'
    - 'Discovery/Web-Content/combined_words.txt'

jobs:
  update_combined_words:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
      - name: Generate combined_directories.txt
        run: cd Discovery/Web-Content/ && cat raft-small-directories* directory-list-2.3-small.txt raft-medium-directories* directory-list-2.3-medium.txt apache.txt combined_words.txt directory-list-2.3-big.txt raft-large-directories* directory-list-1.0.txt | awk '! seen[$0]++' > combined_directories.txt
      - name: Switching from HTTPS to SSH
        run: git remote set-url origin git@github.com:danielmiessler/SecLists.git
      - name: Check for changes
        run: git status
      - name: Stage changed files
        run: git add Discovery/Web-Content/combined_directories.txt
      - name: Configure git email and username
        run: |
          git config --local user.email "example@github.com"
          git config --local user.name "GitHub Action"
      - name: Commit changed files
        run: git commit -m "[Github Action] Updated combined_directories.txt"
      - name: Push changes # push the output folder to your repo
        uses: ad-m/github-push-action@master
        with:
          github_token: ${{ secrets.GITHUB_TOKEN }}
          force: true
